summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2010-09-04 23:07:15 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2010-09-04 23:07:15 (GMT)
commit578ec0ccb78dca1508831dca088a8f32ae9415e8 (patch)
tree22c4296177cba711850a1f3e8ff31db418892ace /abs
parent49223c24b3a7c4a505602ec017789c2e007b6469 (diff)
downloadlinhes_pkgbuild-578ec0ccb78dca1508831dca088a8f32ae9415e8.zip
linhes_pkgbuild-578ec0ccb78dca1508831dca088a8f32ae9415e8.tar.gz
linhes_pkgbuild-578ec0ccb78dca1508831dca088a8f32ae9415e8.tar.bz2
libelf:Bumped/Updated for LinHES 7.
Diffstat (limited to 'abs')
-rw-r--r--abs/core-testing/libelf/PKGBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/abs/core-testing/libelf/PKGBUILD b/abs/core-testing/libelf/PKGBUILD
new file mode 100644
index 0000000..17f4877
--- /dev/null
+++ b/abs/core-testing/libelf/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD 66485 2010-01-31 10:45:08Z allan $
+# Maintainer: Allan McRae <allan@archlinux.org>
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+
+pkgname=libelf
+pkgver=0.8.13
+pkgrel=1
+pkgdesc="libelf is a free ELF object file access library"
+arch=('i686' 'x86_64')
+url="http://www.mr511.de/software/"
+license=('GPL')
+depends=('glibc')
+source=(http://www.mr511.de/software/${pkgname}-${pkgver}.tar.gz)
+md5sums=('4136d7b4c04df68b686570afa26988ac')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --enable-shared \
+ --enable-gnu-names --enable-compat || return 1
+ make || return 1
+ make prefix="${pkgdir}/usr" install || return 1
+}